JUCE: juce::midi_ci::Message::DiscoveryResponse Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::midi_ci::Message::DiscoveryResponse Struct Reference
juce_midi_ci » ci

See the MIDI-CI specification. More...

`#include <juce_CIMessages.h>`

## Public Member Functions
auto | tie () const
bool | operator== (const DiscoveryResponse &x) const
bool | operator!= (const DiscoveryResponse &x) const

## Public Attributes
ump::DeviceInfo | device
std::byte | capabilities {}
uint32_t | maximumSysexSize {}
std::byte | outputPathID {}
| Only valid if the message header specifies version 0x02 or greater.
std::byte | functionBlock {}
| Only valid if the message header specifies version 0x02 or greater.

## Detailed Description

See the MIDI-CI specification.

## Member Function Documentation

## ◆ tie()

auto juce::midi_ci::Message::DiscoveryResponse::tie | ( |  | ) | const

References capabilities, device, functionBlock, maximumSysexSize, and outputPathID.

Referenced by operator==().

## ◆ operator==()

bool juce::midi_ci::Message::DiscoveryResponse::operator== | ( | const DiscoveryResponse & | x | ) | const

References tie(), and x.

Referenced by operator!=().

## ◆ operator!=()

bool juce::midi_ci::Message::DiscoveryResponse::operator!= | ( | const DiscoveryResponse & | x | ) | const

References operator==(), and x.

## Member Data Documentation

## ◆ device

ump::DeviceInfo juce::midi_ci::Message::DiscoveryResponse::device

Referenced by tie().

## ◆ capabilities

std::byte juce::midi_ci::Message::DiscoveryResponse::capabilities {}

Referenced by tie().

## ◆ maximumSysexSize

uint32_t juce::midi_ci::Message::DiscoveryResponse::maximumSysexSize {}

Referenced by tie().

## ◆ outputPathID

std::byte juce::midi_ci::Message::DiscoveryResponse::outputPathID {}

Only valid if the message header specifies version 0x02 or greater.

Referenced by tie().

## ◆ functionBlock

std::byte juce::midi_ci::Message::DiscoveryResponse::functionBlock {}

Only valid if the message header specifies version 0x02 or greater.

Referenced by tie().

The documentation for this struct was generated from the following file:

- juce_CIMessages.h